xpra icon
Bug tracker and wiki

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#1043 closed defect (duplicate)

glTexParameteri error

Reported by: zenny Owned by: Antoine Martin
Priority: major Milestone: 0.16
Component: client Version: trunk
Keywords: opengl xpra client Cc:

Description

I am trying this on Ubuntu 14.04 with Xdummy.


On server:

xpra start :10 --xvfb="Xorg -noreset -nolisten tcp +extension GLX \
    -config /etc/xpra/xorg.conf \
    +extension RANDR +extension RENDER -logfile ${HOME}/.xpra/Xorg-10.log" \
    --sync-xvfb=50 \
     --bind-tcp=127.0.0.1:10000 \
     --start=libreoffice


On client:

xpra attach tcp:localhost:10000:10 --desktop-scaling=0.5


However, there is no display till I deactivated opengl from the menutray.

Client console repeats with the following error intermittently till opengl is disabled:


2015-11-24 10:09:07,688 Attached to tcp:localhost:10000:10 (press Control-C to detach)

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gtk2/gl_window_backing.py", line 41, in gl_expose_event
    self.gl_init()
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 403, in gl_init
    glTexParameteri(GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_MAX_LEVEL, 0)
  File "/usr/lib/python2.7/dist-packages/OpenGL/error.py", line 208, in glCheckError
    baseOperation = baseOperation,
OpenGL.error.GLError: GLError(
	err = 1281,
	description = 'invalid value',
	baseOperation = glTexParameteri,
	cArguments = (
		GL_TEXTURE_RECTANGLE_ARB,
		GL_TEXTURE_MAX_LEVEL,
		0,
	)
)
2015-11-24 10:09:07,832 do_paint_rgb32 error
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/window_backing_base.py", line 314, in do_paint_rgb32
    success = self._do_paint_rgb32(img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 630, in _do_paint_rgb32
    return self._do_paint_rgb(32, img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 646, in _do_paint_rgb
    self.gl_init()
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 403, in gl_init
    glTexParameteri(GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_MAX_LEVEL, 0)
  File "/usr/lib/python2.7/dist-packages/OpenGL/error.py", line 208, in glCheckError
    baseOperation = baseOperation,
GLError: GLError(
	err = 1281,
	description = 'invalid value',
	baseOperation = glTexParameteri,
	cArguments = (
		GL_TEXTURE_RECTANGLE_ARB,
		GL_TEXTURE_MAX_LEVEL,
		0,
	)
)
/usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed
  import gobject._gobject
2015-11-24 10:09:08,142 do_paint_rgb32 error
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/window_backing_base.py", line 314, in do_paint_rgb32
    success = self._do_paint_rgb32(img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 630, in _do_paint_rgb32
    return self._do_paint_rgb(32, img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 646, in _do_paint_rgb
    self.gl_init()
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 403, in gl_init
    glTexParameteri(GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_MAX_LEVEL, 0)
  File "/usr/lib/python2.7/dist-packages/OpenGL/error.py", line 208, in glCheckError
    baseOperation = baseOperation,
GLError: GLError(
	err = 1281,
	description = 'invalid value',
	baseOperation = glTexParameteri,
	cArguments = (
		GL_TEXTURE_RECTANGLE_ARB,
		GL_TEXTURE_MAX_LEVEL,
		0,
	)
)

Attachments (4)

xpra10.log (421.9 KB) - added by zenny 5 years ago.
xpra log of :10 with Xdummy
xpra-xdummy-WITH-OPENGL-ENABLED-no-display.jpg (93.4 KB) - added by zenny 5 years ago.
No display when opengl is enabled even with xdummy driver (no xvfb)
xpra-xdummy-WITH-OPENGL-DISABLED-produces-display.jpg (301.0 KB) - added by zenny 5 years ago.
Display works when opengl is disabled.
mpv-shot0009.jpg (706.9 KB) - added by zenny 5 years ago.
Only 1/3 of screen is covered in the ffmpeg-captured instance with Xdummy+xpra

Download all attachments as: .zip

Change History (14)

comment:1 Changed 5 years ago by zenny

Forgot to mention that xpra is at v0.16.0-1 beta (installed from ubuntu trusty binary repo).

Changed 5 years ago by zenny

Attachment: xpra10.log added

xpra log of :10 with Xdummy

Changed 5 years ago by zenny

No display when opengl is enabled even with xdummy driver (no xvfb)

Changed 5 years ago by zenny

Display works when opengl is disabled.

comment:2 Changed 5 years ago by zenny

This seems to be a recurrence of this bug (#565), I guess.

Last edited 5 years ago by Antoine Martin (previous) (diff)

comment:3 Changed 5 years ago by zenny

I have uninstalled python-opengl and installed the latest PyOpenGL in pursuant to ticket:1024#comment:6, yet the error remained the same.

There is a reference to this bug in ticket:1036#comment:16 and ticket:1036#comment:17, too.

$ sudo dpkg --remove --force-depends python-opengl
$ sudo easy_install PyOpenGL


Howevever the issue remained unchanged with error:

...
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gtk2/gl_window_backing.py", line 41, in gl_expose_event
    self.gl_init()
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 403, in gl_init
    glTexParameteri(GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_MAX_LEVEL, 0)
  File "/usr/local/lib/python2.7/dist-packages/PyOpenGL-3.1.1a1-py2.7.egg/OpenGL/error.py", line 232, in glCheckError
    baseOperation = baseOperation,
OpenGL.error.GLError: GLError(
	err = 1281,
	description = 'invalid value',
	baseOperation = glTexParameteri,
	cArguments = (
		GL_TEXTURE_RECTANGLE_ARB,
		GL_TEXTURE_MAX_LEVEL,
		0,
	)
)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gtk2/gl_window_backing.py", line 41, in gl_expose_event
    self.gl_init()
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 403, in gl_init
    glTexParameteri(GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_MAX_LEVEL, 0)
  File "/usr/local/lib/python2.7/dist-packages/PyOpenGL-3.1.1a1-py2.7.egg/OpenGL/error.py", line 232, in glCheckError
    baseOperation = baseOperation,
OpenGL.error.GLError: GLError(
	err = 1281,
	description = 'invalid value',
	baseOperation = glTexParameteri,
	cArguments = (
		GL_TEXTURE_RECTANGLE_ARB,
		GL_TEXTURE_MAX_LEVEL,
		0,
	)
)
2015-11-26 21:44:57,028 do_paint_rgb32 error
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/window_backing_base.py", line 314, in do_paint_rgb32
    success = self._do_paint_rgb32(img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 630, in _do_paint_rgb32
    return self._do_paint_rgb(32, img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 646, in _do_paint_rgb
    self.gl_init()
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 403, in gl_init
    glTexParameteri(GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_MAX_LEVEL, 0)
  File "/usr/local/lib/python2.7/dist-packages/PyOpenGL-3.1.1a1-py2.7.egg/OpenGL/error.py", line 232, in glCheckError
    baseOperation = baseOperation,
GLError: GLError(
	err = 1281,
	description = 'invalid value',
	baseOperation = glTexParameteri,
	cArguments = (
		GL_TEXTURE_RECTANGLE_ARB,
		GL_TEXTURE_MAX_LEVEL,
		0,
	)
)
2015-11-26 21:44:57,226 do_paint_rgb32 error
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/window_backing_base.py", line 314, in do_paint_rgb32
    success = self._do_paint_rgb32(img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 630, in _do_paint_rgb32
    return self._do_paint_rgb(32, img_data, x, y, width, height, rowstride, options)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 646, in _do_paint_rgb
    self.gl_init()
  File "/usr/lib/python2.7/dist-packages/xpra/client/gl/gl_window_backing_base.py", line 403, in gl_init
    glTexParameteri(GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_MAX_LEVEL, 0)
  File "/usr/local/lib/python2.7/dist-packages/PyOpenGL-3.1.1a1-py2.7.egg/OpenGL/error.py", line 232, in glCheckError
    baseOperation = baseOperation,
GLError: GLError(
	err = 1281,
	description = 'invalid value',
	baseOperation = glTexParameteri,
	cArguments = (
		GL_TEXTURE_RECTANGLE_ARB,
		GL_TEXTURE_MAX_LEVEL,
		0,
	)
)
...
Last edited 5 years ago by Antoine Martin (previous) (diff)

comment:4 Changed 5 years ago by zenny

Like Antoine pointed out (ticket:1036#comment:16), this is pertinent to a specific distro like Ubuntu 14.04. I tried xpra client in Debian Jessie 8.2 and the glTexParameteri error is no more. However the xpra server is still in 14.04. Yet there are errors in the client console as of quoted below:

UPDATE: BOTTLENECK

ffmpeg capture stopped working with this xpra+Xdummy setup with 4k modeline in customized xorg.conf :

XORG.CONF

Section "Screen"
  Identifier "dummy_screen"
  Device "dummy_videocard"
  Monitor "dummy_monitor"
  DefaultDepth 24
  SubSection "Display"
    Viewport 0 0
    Depth 24
    #requires more ram:
    #Modes "16000x15000" "15000x15000" "16384x8192"  ..
    Modes  "3840x2160"
    #Virtual 16384 16384
    Virtual 8192 4096
  EndSubSection
EndSection


FFMPEG ERROR:

[x11grab @ 0x38a3c00] Capture area 3840x2160 at position 0.0 outside the screen size 2048x1536
:10: Invalid argument



Please note that I tried this with Debian Jessie in a qemu-kvm virtual instance).

$ xpra attach tcp:192.168.10.3:10000:10 --desktop-scaling=0.5
2015-11-27 07:20:48,725 Xpra gtk2 client version 0.16.0-r11304
2015-11-27 07:20:48,734  running on Linux debian 8.2 
Warning: failed to import GStreamer:
 1.0 failed with: Namespace Gst not available
2015-11-27 07:20:48,930 Warning: swscale version 3.0.0 is too old:
2015-11-27 07:20:48,930  disabling YUV422P to RGB, BGR, BGRX
2015-11-27 07:20:48,949 Warning: libvpx ABI version 5 is too old:
2015-11-27 07:20:48,950  disabling YUV444P support with VP9
2015-11-27 07:20:48,958 Warning: libavcodec version 56.1.0 is too old:
2015-11-27 07:20:48,958  disabling VP9
2015-11-27 07:20:49,562 PyOpenGL warning: missing accelerate module
2015-11-27 07:20:49,562 PyOpenGL warning: missing array format handlers: numeric, vbo, vbooffset
2015-11-27 07:20:49,562 OpenGL Version: 3.0 Mesa 10.3.2
2015-11-27 07:20:49,563 OpenGL support is missing:
2015-11-27 07:20:49,563  vendor 'VMware, Inc.' is blacklisted!
2015-11-27 07:20:49,826  detected keyboard: rules=evdev, model=pc105, layout=se
2015-11-27 07:20:49,828  desktop size is 1024x768 with 1 screen:
2015-11-27 07:20:49,828   :0.0 (270x203 mm - DPI: 96x96)
2015-11-27 07:20:49,828     VGA-0
2015-11-27 07:20:49,828  downscaled by 50%, virtual screen size: 2048x1536
2015-11-27 07:20:49,829   :0.0 (270x203 mm - DPI: 192x192)
2015-11-27 07:20:49,829     VGA-0
2015-11-27 07:20:50,009 Xpra X11 server version 0.16.0-r11304
2015-11-27 07:20:50,009  running on Linux Ubuntu 14.04 trusty
2015-11-27 07:20:50,179 Attached to tcp:192.168.10.3:10000:10 (press Control-C to detach)

2015-11-27 07:20:51,852 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:20:58,547 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:00,070 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:00,166 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:00,226 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:00,233 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:00,284 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:00,354 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:00,358 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:08,233 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
2015-11-27 07:21:23,305 error creating cursor: float division by zero (using default)
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 476, in set_windows_cursor
    cursor = self.make_cursor(cursor_data)
  File "/usr/lib/python2.7/dist-packages/xpra/client/gtk_base/gtk_client_base.py", line 544, in make_cursor
    ratio = max(float(w)/cmaxw, float(h)/cmaxh)
ZeroDivisionError: float division by zero
.....

Last edited 5 years ago by Antoine Martin (previous) (diff)

comment:5 Changed 5 years ago by Antoine Martin

Resolution: duplicate
Status: newclosed
Summary: OpenGL error with XdummyglTexParameteri error

the glTexParameteri error is no more. However the xpra server is still in 14.04..


The opengl error is a client side rendering issue, which is probably due to buggy drivers in Ubuntu Trusty.


Yet there are errors in the client console as of quoted below:
..
ZeroDivisionError: float division by zero


Thanks, this should be fixed in r11319.

Closing this ticket as a duplicate of #1024. Please include your chipset information in that ticket so that we know what to blacklist.

The ffmpeg errors are not related to this ticket and very unlikely to be caused by xpra.

comment:6 Changed 5 years ago by zenny

The ffmpeg errors are not related to this ticket and very unlikely to be caused by xpra.


In the same setup, if I use xpra with xvfb, the rendering is fine and the ffmpeg fails to capture only when with Xdummy, fyi.

I assumed that it could be the ffmpeg bug discussed here: https://trac.ffmpeg.org/ticket/4574 and https://trac.ffmpeg.org/ticket/4575, even using the latest patched ffmpeg source and compiling didn't help, fyi.

The capture works till I attach the virtual x server to an xpra client, and once attached the ffmpeg capture dies. So this has something to do with xpra, I guess.


For my case, the capture is very important. If you have any hints or inputs to look anywhere in the system further, please put forth. Appreciate it!

Closing this ticket as a duplicate of #1024. Please include your chipset information in that ticket so that we know what to blacklist.


ticket:1024#comment:9

Thanks, this should be fixed in r11319.


Thanks. Patch applied.

Last edited 5 years ago by Antoine Martin (previous) (diff)

comment:7 Changed 5 years ago by Antoine Martin

You are not including the command lines you used, my guess is that you forgot to tell the server to skip resizing with XPRA_RANDR=0.

comment:8 Changed 5 years ago by zenny


You are not including the command lines you used, my guess is that you forgot to tell the server to skip resizing with XPRA_RANDR=0.


But, as I understand, disabling RandR is only for Xvbf xpra instances as it does not support neither RandR nor OpenGL. Lately, I am using Xdummy with xpra instead. Or?

Last edited 5 years ago by zenny (previous) (diff)

comment:9 Changed 5 years ago by Antoine Martin

But, as I understand, disabling RandR is only for Xvbf xpra instances as it does not support neither RandR nor OpenGL. Lately, I am using Xdummy with xpra instead. Or?


No. If randr is not supported it will not be used (ie: Xvfb).

This switch makes xpra skip randr even if it would normally be supported and used.

Changed 5 years ago by zenny

Attachment: mpv-shot0009.jpg added

Only 1/3 of screen is covered in the ffmpeg-captured instance with Xdummy+xpra

comment:10 Changed 5 years ago by zenny


I restarted the xpra instance again and tried to capture the virtual x server, but the content captured covers only 1/3rd of the screen as seen in the attached screenshot.


attachment/ticket/1043/mpv-shot0009.jpg


I tried with the env var for RANDR as follows.

Tried both with mmap enabled and disabled (--no-mmap as well as --mmap=no) with the same results.

XPRA_RANDR=0 xpra start :10 --xvfb="Xorg -noreset -nolisten tcp +extension GLX \
    -config /etc/xpra/xorg.conf \
    +extension RANDR +extension RENDER -logfile ${HOME}/.xpra/Xorg-10.log -dpi 108" \
    --sync-xvfb=50   --mmap=no   --bind-tcp=192.168.10.3:10000      --start=libreoffice


xpra attach tcp:192.168.10.3:10000:10 --desktop-scaling=0.5


The client got disconnected and the server died. Xpra log attached:

X.Org X Server 1.15.1
Release Date: 2014-04-13
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.13.0-46-generic x86_64 Ubuntu
Current Operating System: Linux sbista-GA-970A-D3 3.13.0-68-generic #111-Ubuntu SMP Fri Nov 6 18:17:06 UTC 2015 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-3.13.0-68-generic root=UUID=9f3c99b5-7455-4004-913a-c3f566fee986 ro verbose radeon.audio=1 radeon.dpm=1
Build Date: 17 March 2015  03:36:29PM
xorg-server 2:1.15.1-0ubuntu2.7+multiseat0 (For technical support please see http://www.ubuntu.com/support) 
Current version of pixman: 0.30.2
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/home/zenny/.xpra/Xorg-10.log", Time: Sat Nov 28 10:17:05 2015
(++) Using config file: "/home/zenny/Downloads/xwd/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension SECURITY
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension Present
Initializing built-in extension DRI3
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension SELinux
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
[33m2015-11-28 10:17:07,247 Warning: libvpx ABI version 5 is too old:[0m
[33m2015-11-28 10:17:07,247  disabling YUV444P support with VP9[0m
[33m2015-11-28 10:17:07,443 Warning: swscale version 2.1.1 is too old:[0m
[33m2015-11-28 10:17:07,443  disabling YUV422P to RGB, BGR, BGRX[0m
[33m2015-11-28 10:17:07,451 Warning: no X11 RandR support on :10[0m
/usr/lib/python2.7/dist-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed
  import gobject._gobject
2015-11-28 10:17:09,472 pulseaudio server started with pid 13020[0m
2015-11-28 10:17:09,476 using notification forwarder:[0m
2015-11-28 10:17:09,476  DBUS-NotificationsForwarder(org.freedesktop.Notifications)[0m
E: [pulseaudio] pid.c: Daemon already running.
2015-11-28 10:17:09,548 xpra X11 version 0.16.0-r11304[0m
2015-11-28 10:17:09,549  running with pid 12975 on Linux Ubuntu 14.04 trusty[0m
2015-11-28 10:17:09,549  on display :10[0m
[33m2015-11-28 10:17:09,656 failed to connect to avahi's dbus interface: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Avahi was not provided by any .service files[0m
[33m2015-11-28 10:17:09,656  to avoid this warning, disable mdns support [0m
[33m2015-11-28 10:17:09,656  using the 'mdns=no' option[0m
[33m2015-11-28 10:17:09,657 failed to connect to avahi's dbus interface: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Avahi was not provided by any .service files[0m
[33m2015-11-28 10:17:09,657  to avoid this warning, disable mdns support [0m
[33m2015-11-28 10:17:09,657  using the 'mdns=no' option[0m
2015-11-28 10:17:09,657 xpra is ready.[0m
[33m2015-11-28 10:17:10,550 Warning: pulseaudio has terminated shortly after startup.[0m
[33m2015-11-28 10:17:10,550  pulseaudio is limited to a single instance per user account,[0m
[33m2015-11-28 10:17:10,551  and one may be running already for user 'zenny'[0m
[33m2015-11-28 10:17:10,551  to avoid this warning, either fix the pulseaudio command line[0m
[33m2015-11-28 10:17:10,551  or use the 'pulseaudio=no' option[0m
2015-11-28 10:17:10,651 New unix-domain connection received on /home/zenny/.xpra/sbista-GA-970A-D3-10[0m
2015-11-28 10:17:10,654 Connection lost[0m
2015-11-28 10:17:34,263 New tcp connection received from 192.168.10.120:59088[0m
2015-11-28 10:17:34,389 Handshake complete; enabling connection[0m
2015-11-28 10:17:34,512 Python/Gtk2 Linux debian 8.2  client version 0.16.0-r11304[0m
2015-11-28 10:17:34,512  connected from 'debian8-jessie' as 'zenny'[0m
2015-11-28 10:17:34,512  using h264 as primary encoding also available:[0m
2015-11-28 10:17:34,513   vp9, vp8, png, png/P, png/L, webp, rgb24, jpeg, rgb32[0m
2015-11-28 10:17:34,513  client root window size is 2048x1536 with 1 display:[0m
2015-11-28 10:17:34,514   :0.0 (270x203 mm - DPI: 192x192)[0m
2015-11-28 10:17:34,514     VGA-0[0m
2015-11-28 10:17:34,600 setting key repeat rate from client: 660ms delay / 40ms interval[0m
2015-11-28 10:17:34,605 setting keymap: rules=evdev, model=pc105, layout=se[0m
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
avahi_client_new failed.
The program 'Xpra' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 12450 error_code 3 request_code 3 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Last edited 5 years ago by zenny (previous) (diff)
Note: See TracTickets for help on using tickets.